package com.brilliance.isc.swift.objmtconvert.model.mt9xx.tag.tag995;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt9xx.MT995Creator;

public class Tag20Creator extends AbsTagCreate {
    private MT995Creator mt995Creator;

    public Tag20Creator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        mt995Creator = (MT995Creator) absMTCreator;
    }

    @Override
    public void creator() {
        String tag20Value = mt995Creator.getTransactionReferenceNumber();
        mt995Creator.set("20", tag20Value);
    }
}
